=== debian/changelog ===
ros-rolling-ros2-ouster (0.3.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steve Macenski <stevenmacenski@gmail.com>  Thu, 20 May 2021 20:18:14 -0000
