=== debian/changelog ===
ros-rolling-ros2-ouster (0.5.0-2jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steve Macenski <stevenmacenski@gmail.com>  Wed, 22 Mar 2023 06:28:02 -0000
